/*
getprime.c Version 0.1.0  Hash calculate prime number
Copyright (C) 2003  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

/* Usage: getprime number */

#include <bthash.h>

#define MAXRCDS 9999999

void putstx(char *pgm)
   {
   fprintf(stderr,"Usage %s number\n", pgm);
   fprintf(stderr,"Where number is "
      "1 - %d\n", MAXRCDS);
   exit(1);
   } /* putstx */

int main(int argc, char **argv)
   {
   int num;
   int prime;
   if (argc != 2) putstx(*argv);
   num = atoi(*(argv+1));
   if (num < 1 || num > MAXRCDS)
      {
      fprintf(stderr,"getprime: number %d "
	 "out of range\n", num);
      putstx(*argv);
      } /* invalid number */

   prime = hprime(num);
   if (prime < 1)
      {
      fprintf(stderr,"getprime: hprime "
	 "error %d\n", prime);
      exit(1);
      } /* if hprime err */

   printf("getprime: prime = %d\n", prime);

   return(0);
   } /* main */
